﻿@import "fonts.css?cssVer=Indigo";
@import "LoyaltyStreamLite/text.css?cssVer=Indigo";
@import "LoyaltyStreamLite/buttons.css?cssVer=Indigo";
@import "LoyaltyStreamLite/menu.css?cssVer=Indigo";
@import "LoyaltyStreamLite/checkboxes.css?cssVer=Indigo";

body {
    --body-outline: #ced4da;
    display: flex;
    justify-content: center;
    padding-top: 20px;
}

#main-wrapper {
    width: 430px;
    height: 850px;
    border: solid 1px var(--body-outline);
    position: relative;
    background-color: var(--page-background-colour);
    zoom: 90%
}

.disclaimer {
    padding-top: 10px;
    width: 430px;
}

header {
    height: 60px;
    padding: 10px 20px;
    border-bottom: solid 1px var(--body-outline);
    margin-bottom: 10px;
}

header .logo {
    height: 40px;
}

header .right-col {
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

header .header-pointsbalance {
    margin-right: 20px;
    background-color: #ced4da;
    padding: 5px 10px;
    border-radius: 5px;
}

header .menu-link {
    font-size: 1.5rem;
}

footer {
    position: absolute;
    bottom: 0px;
    width: 100%;
    display: flex;
    justify-content: space-evenly;
    border-top: solid 1px var(--body-outline);
    padding-top: 10px;
    padding-bottom: 5px;
}

.footer-item {
    width: 15%;
    text-align: center;
    font-size: 0.7rem;
    color: #ced4da;
}

.footer-item i {
    width: 100%;
    font-size: 1.6rem;
}

#content {
    overflow-y: scroll;
    height: 700px;
    margin-bottom: 80px;
}

.content-item-group .card {
    width: 100%;
    margin-bottom: 10px;
}

.content-item-group .card-group {
    flex-flow: column;
}

.content-item-group .card-group .campaign-thumbnail {
    height: 300px;
    object-fit: cover;
}

#content .horizontal .card-group {
    flex-flow: row;
    overflow-x: scroll;
    text-align: left;
    justify-content: left;
}


.horizontal .card-group .card {
    width: 250px;
}

#content .card-group h4 {
    font-size: 1rem;
    font-weight: bold;
}

#content .reward-cards .card {
    width: 150px;
}

#content .reward-cards .card-group h4 {
    font-size: 0.8rem;
}

#content .reward-cards .card-group h5 {
    font-size: 1rem;
}

#content .reward-cards .card-footer {
    display: none;
}

#content .content-item-group {
    padding: 10px;
}

.reward-thumbnail {
    height: 100px;
}

.horizontal .card-group .campaign-thumbnail {
    height: 200px;
    object-fit: cover;
}

.accordion-header h2 {
    font-size: 1rem;
}